
Name: kblocks
Summary: Single player falling blocks puzzle game
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
URL: http://www.kde.org/applications/games/kblocks/
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel

BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kitemmodels-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: ktextwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: knotifyconfig-devel
BuildRequires: knewstuff-devel

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl


%description 
KBlocks is the classic falling blocks game.

The idea is to stack the falling blocks to create horizontal lines without any
gaps. When a line is completed it is removed, and more space is available in the
play area. When there is not enough space for blocks to fall, the game is over.

%files
%_kf5_bindir/kblocks
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/kblocks
%_kf5_datadir/config.kcfg/kblocks.kcfg
%_kf5_iconsdir/hicolor/*/apps/kblocks.*
%_kf5_datadir/metainfo
%_kf5_datadir/locale
%_kf5_datadir/qlogging-categories5/kblocks.categories
%_kf5_datadir/knsrcfiles/kblocks.knsrc
#------------------------------------------------------------------------------

%package -n kblocks-handbook
Summary: kblocks handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n kblocks-handbook
This package provides the kblocks handbook.

%files -n kblocks-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

